For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all leases
        • GETGet a lease by ID
        • PUTUpdate Lease: Propertyware
        • POSTCreate Lease: Propertyware
        • POSTCreate Lease File: Propertyware
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Propertyware SOAPLeases

Create Lease: Propertyware

POST
/v1/leases/propertyware/
POST
/v1/leases/propertyware/
$curl -X POST https://api.propexo.com/v1/leases/propertyware/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
> "property_id": "prop-1234567890abcdef",
> "unit_id": "unit-0987654321fedcba",
> "primary_contact_id": "contact-1122334455667788",
> "tenants": [
> {
> "id": "contact-1122334455667788"
> },
> {
> "id": "contact-8877665544332211"
> }
> ],
> "start_date": "2024-07-01T12:00:00Z",
> "end_date": "2025-06-30T11:59:59Z"
>}'
1{
2 "meta": {
3 "job_id": "job-20240601-abcdef123456"
4 },
5 "result": {
6 "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
7 "property_id": "prop-1234567890abcdef",
8 "unit_id": "unit-0987654321fedcba",
9 "primary_contact_id": "contact-1122334455667788",
10 "tenants": [
11 {
12 "id": "contact-1122334455667788"
13 },
14 {
15 "id": "contact-8877665544332211"
16 }
17 ],
18 "start_date": "2024-07-01T12:00:00Z",
19 "end_date": "2025-06-30T11:59:59Z",
20 "scheduled_move_in_date": "2024-07-01T12:00:00Z",
21 "scheduled_move_out_date": "2025-06-30T11:59:59Z",
22 "status": "Draft"
23 }
24}
Create Lease: Propertyware | Method | |---| | createLease | <Note title="Notice">This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.</Note>
Was this page helpful?
Previous

Create Lease File: Propertyware

Next
Built with

Create Lease: Propertyware

Method
createLease
Notice
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
property_idstringRequired
The Propexo unique identifier for the property
unit_idstringRequired
The Propexo unique identifier for the unit
primary_contact_idstringRequired
The Propexo unique identifier of the primary contact. This must either be a lead, applicant, or resident in Propexo
tenantslist of objectsRequired
An array of Propexo lead, applicant, or resident IDs. This must also include the primary contact ID
start_datestringRequiredformat: "date-time"
The start date associated with the lease
end_datestringRequiredformat: "date-time"
The end date associated with the lease
scheduled_move_in_datestringOptionalformat: "date-time"

The move-in date associated with the lease

scheduled_move_out_datestringOptionalformat: "date-time"

The move-out date associated with the lease

statusenumOptional
The status associated with the lease
Allowed values:

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error